Loading...
Searching...
No Matches
gx_system::PathList Class Reference

`#include <gx_system.h>`

## Public Types

typedef std::list< Glib::RefPtr< Gio::File > > | pathlist
typedef std::list< Glib::RefPtr< Gio::File > >::const_iterator | iterator

## Public Member Functions

| PathList (const char *env_name=0)
void | add (const std::string &d)
bool | contains (const std::string &d) const
bool | find_dir (std::string *d, const std::string &filename) const
size_t | size ()
iterator | begin ()
iterator | end ()

## Private Attributes

pathlist | dirs

## Detailed Description

Definition at line 294 of file gx_system.h.

## Member Typedef Documentation

## iterator

typedef std::list<Glib::RefPtr<Gio::File>>::const_iterator gx_system::PathList::iterator

Definition at line 297 of file gx_system.h.

## pathlist

typedef std::list< Glib::RefPtr<Gio::File> > gx_system::PathList::pathlist

Definition at line 296 of file gx_system.h.

## Constructor & Destructor Documentation

## PathList()

gx_system::PathList::PathList | ( | const char * | env_name = 0 | ) |

## Member Function Documentation

## add()

void gx_system::PathList::add | ( | const std::string & | d | ) |

inline

Definition at line 302 of file gx_system.h.

## begin()

iterator gx_system::PathList::begin | ( |  | ) |

inline

Definition at line 306 of file gx_system.h.

## contains()

bool gx_system::PathList::contains | ( | const std::string & | d | ) | const

## end()

iterator gx_system::PathList::end | ( |  | ) |

inline

Definition at line 307 of file gx_system.h.

## find_dir()

bool gx_system::PathList::find_dir | ( | std::string * | d,
|  | const std::string & | filename ) const

## size()

size_t gx_system::PathList::size | ( |  | ) |

inline

Definition at line 305 of file gx_system.h.

## Member Data Documentation

## dirs

pathlist gx_system::PathList::dirs

private

Definition at line 299 of file gx_system.h.

Referenced by add(), begin(), end(), and size().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h